[Interface]
Address = {{ wireguard__addresses | join(", ") }}
PrivateKey = {{ wireguard__private_key }}
{% if wireguard__listen_port is defined %}
ListenPort = {{ wireguard__listen_port }}
{% endif %}
{% for peer in wireguard__peers %}

[Peer] # {{ peer.name }}
PublicKey = {{ peer.public_key }}
AllowedIPs = {{ peer.allowed_ips | join(", ") }}
{% if peer.endpoint is defined %}
Endpoint = {{ peer.endpoint }}
{% endif %}
{% if peer.keepalive is defined %}
PersistentKeepalive = {{ peer.keepalive }}
{% endif %}
{% endfor %}
